Attribute VB_Name = "Dtmf_inc"
' DTMF Tone Generator DLL Ver. 1.00

' device ID for wave device mapper
Public Const WAVE_MAPPER = -1&

Public Const MMSYSERR_BASE = 0
Public Const WAVERR_BASE = 32

' general error return values
Public Const MMSYSERR_NOERROR = 0                          ' no error
Public Const MMSYSERR_ERROR = (MMSYSERR_BASE + 1)          ' unspecified error
Public Const MMSYSERR_BADDEVICEID = (MMSYSERR_BASE + 2)    ' device ID out of range
Public Const MMSYSERR_NOTENABLED = (MMSYSERR_BASE + 3)     ' driver failed enable
Public Const MMSYSERR_ALLOCATED = (MMSYSERR_BASE + 4)      ' device already allocated
Public Const MMSYSERR_INVALHANDLE = (MMSYSERR_BASE + 5)    ' device handle is invalid
Public Const MMSYSERR_NODRIVER = (MMSYSERR_BASE + 6)       ' no device driver present
Public Const MMSYSERR_NOMEM = (MMSYSERR_BASE + 7)          ' memory allocation error
Public Const MMSYSERR_NOTSUPPORTED = (MMSYSERR_BASE + 8)   ' function isn't supported
Public Const MMSYSERR_BADERRNUM = (MMSYSERR_BASE + 9)      ' error value out of range
Public Const MMSYSERR_INVALFLAG = (MMSYSERR_BASE + 10)     ' invalid flag passed
Public Const MMSYSERR_INVALPARAM = (MMSYSERR_BASE + 11)    ' invalid parameter passed
Public Const MMSYSERR_HANDLEBUSY = (MMSYSERR_BASE + 12)    ' handle being used
                                                           ' simultaneously on another
                                                           ' thread (eg callback)
Public Const MMSYSERR_INVALIDALIAS = (MMSYSERR_BASE + 13)  ' specified alias not found in WIN.INI
Public Const MMSYSERR_BADDB = (MMSYSERR_BASE + 14)         ' bad registry database
Public Const MMSYSERR_KEYNOTFOUND = (MMSYSERR_BASE + 15)   ' registry key not found
Public Const MMSYSERR_READERROR = (MMSYSERR_BASE + 16)     ' registry read error
Public Const MMSYSERR_WRITEERROR = (MMSYSERR_BASE + 17)    ' registry write error
Public Const MMSYSERR_DELETEERROR = (MMSYSERR_BASE + 18)   ' registry delete error
Public Const MMSYSERR_VALNOTFOUND = (MMSYSERR_BASE + 19)   ' registry value not found
Public Const MMSYSERR_NODRIVERCB = (MMSYSERR_BASE + 20)    ' driver does not call DriverCallback

' waveform audio error return values
Public Const WAVERR_BADFORMAT = (WAVERR_BASE + 0)          ' unsupported wave format
Public Const WAVERR_STILLPLAYING = (WAVERR_BASE + 1)       ' still something playing
Public Const WAVERR_UNPREPARED = (WAVERR_BASE + 2)         ' header not prepared
Public Const WAVERR_SYNC = (WAVERR_BASE + 3)               ' device is synchronous

Public Declare Function dtmf Lib "dtmf.dll" (ByVal device As Long, ByVal tone As String) As Long
